IRremoteESP8266

Public Attributes | List of all members
ToshibaProtocol Union Reference

Native representation of a Toshiba A/C message. More...

`#include <ir_Toshiba.h>`

## Public Attributes
uint8_t | raw [kToshibaACStateLengthLong]
| The state in code form. More...
struct {
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t Length:8
| < Known lengths are: 1 (56 bit message) 3 (72 bit message) 4 (80 bit message) More...
uint8_t __pad2__:8
uint8_t __pad3__:3
uint8_t LongMsg:1
uint8_t __pad4__:1
uint8_t ShortMsg:1
uint8_t __pad5__:2
uint8_t Swing:3
uint8_t __pad6__:1
uint8_t Temp:4
uint8_t Mode:3
uint8_t __pad7__:2
uint8_t Fan:3
uint8_t __pad8__:4
uint8_t Filter:1
uint8_t __pad9__:3
uint8_t EcoTurbo:8
}; |

## Detailed Description

Native representation of a Toshiba A/C message.

## Member Data Documentation

## ◆ @118

struct { ... }

## ◆ __pad0__

uint8_t ToshibaProtocol::__pad0__

## ◆ __pad1__

uint8_t ToshibaProtocol::__pad1__

## ◆ __pad2__

uint8_t ToshibaProtocol::__pad2__

## ◆ __pad3__

uint8_t ToshibaProtocol::__pad3__

## ◆ __pad4__

uint8_t ToshibaProtocol::__pad4__

## ◆ __pad5__

uint8_t ToshibaProtocol::__pad5__

## ◆ __pad6__

uint8_t ToshibaProtocol::__pad6__

## ◆ __pad7__

uint8_t ToshibaProtocol::__pad7__

## ◆ __pad8__

uint8_t ToshibaProtocol::__pad8__

## ◆ __pad9__

uint8_t ToshibaProtocol::__pad9__

## ◆ EcoTurbo

uint8_t ToshibaProtocol::EcoTurbo

## ◆ Fan

uint8_t ToshibaProtocol::Fan

## ◆ Filter

uint8_t ToshibaProtocol::Filter

## ◆ Length

uint8_t ToshibaProtocol::Length

< Known lengths are: 1 (56 bit message) 3 (72 bit message) 4 (80 bit message)

## ◆ LongMsg

uint8_t ToshibaProtocol::LongMsg

## ◆ Mode

uint8_t ToshibaProtocol::Mode

## ◆ raw

uint8_t ToshibaProtocol::raw[kToshibaACStateLengthLong]

The state in code form.

## ◆ ShortMsg

uint8_t ToshibaProtocol::ShortMsg

## ◆ Swing

uint8_t ToshibaProtocol::Swing

## ◆ Temp

uint8_t ToshibaProtocol::Temp

The documentation for this union was generated from the following file:

- src/ir_Toshiba.h